{% extends 'general_core.html' %}


{% block content %}
    {% load i18n %}
    {% load pool_extrass %}
    {% to_list 'faq;Вопросы и ответы' as breadList %}
    {% get_current_language as LANGUAGE_CODE %}


    {% include 'templateparts/bread_section.html' with list=breadList %}
    <div class="faq_wrap">
        <div class="categories_wrap">
            <div class="accordion categories_accordion" id="faq_categories_accordion">
                {% for category in faq_list %}
                    <div class="card" id="{{ category.slug }}">
                        <div class="card-header" id="headingOne">
                            <h2 class="mb-0">
                                <button class="btn btn-link cat_title collapsed"
                                        type="button" data-toggle="collapse"
                                        data-target="#collapse_category_{{ category.id }}"
                                        aria-expanded="true" aria-controls="collapse_category_{{ category.id }}">
                                    {% if LANGUAGE_CODE == 'ru' %}
                                        {{ category.ru.name }}
                                    {% elif LANGUAGE_CODE == 'uk' %}
                                        {{ category.uk.name }}
                                    {% elif LANGUAGE_CODE == 'en' %}
                                        {{ category.en.name }}
                                    {% endif %}


                                </button>
                            </h2>
                        </div>


                        <div id="collapse_category_{{ category.id }}"
                             class="collapse " aria-labelledby="headingOne"
                             data-parent="#faq_categories_accordion">
                            <div class="card-body">

                                <ol class="q_list">
                                    {% for q in category.faqs %}
                                        <li class="q_list_item">
                                            <a href="#{{ q.slug }}"
                                               data-text="
                                                {% if LANGUAGE_CODE == 'ru' %}
                                                    {{ q.ru.text }}
                                                {% elif LANGUAGE_CODE == 'uk' %}
                                                    {{ q.uk.text }}
                                                {% elif LANGUAGE_CODE == 'en' %}
                                                    {{ q.en.text }}
                                                {% endif %}
                                                "
                                               class="q_list_link anchor_link">
                                                {% if LANGUAGE_CODE == 'ru' %}
                                                    {{ q.ru.title }}
                                                {% elif LANGUAGE_CODE == 'uk' %}
                                                    {{ q.uk.title }}
                                                {% elif LANGUAGE_CODE == 'en' %}
                                                    {{ q.en.title }}
                                                {% endif %}

                                            </a>
                                        </li>
                                    {% endfor %}

                                </ol>
                            </div>
                        </div>

                    </div>
                {% endfor %}
            </div>
        </div>
        <div class="faq_field">
            <h4 class="category_title">
                {% if LANGUAGE_CODE == 'ru' %}
                    {{ faq_list.0.ru.name }}
                {% elif LANGUAGE_CODE == 'uk' %}
                    {{ faq_list.0.uk.name }}
                {% elif LANGUAGE_CODE == 'en' %}
                    {{ faq_list.0.en.name }}
                {% endif %}
            </h4>
            <h5 class="faq_title">
                {% if LANGUAGE_CODE == 'ru' %}
                    {{ faq_list.0.faqs.0.ru.title }}
                {% elif LANGUAGE_CODE == 'uk' %}
                    {{ faq_list.0.faqs.0.uk.title }}
                {% elif LANGUAGE_CODE == 'en' %}
                    {{ faq_list.0.faqs.0.en.title }}
                {% endif %}
            </h5>
            <div class="faq_body">
                {% if LANGUAGE_CODE == 'ru' %}
                    {{ faq_list.0.faqs.0.ru.text|safe }}
                {% elif LANGUAGE_CODE == 'uk' %}
                    {{ faq_list.0.faqs.0.uk.text|safe }}
                {% elif LANGUAGE_CODE == 'en' %}
                    {{ faq_list.0.faqs.0.en.text|safe }}
                {% endif %}
            </div>
            <a class="go_to_begin" href="#">Вернуться в начало</a>
        </div>
    </div>


{% endblock %}

{% block script %}

    {% load static %}

    <script src="{% static 'src/js/faq.js' %}"></script>

{% endblock %}